Bug 155815 - Network Configuration and Device COntrol should be merged
Network Configuration and Device COntrol should be merged
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-23 18:53 EDT by Per Bothner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 08:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Bothner 2005-04-23 18:53:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
It is ridiculous and confusing to have two separate tools
in two different menus, respectively 'Network Device Control"
and "Network Configuration".  (The distinction between
"System Settings and "System tools" is also pretty confusing.)
The distinction between "Devices" and "Hardware" in the latter
is also confusing.  The Hardware tab is mostly redundant.
"Edit" in Network Configuration should be "Configure".
And NetworkManagerInfo doesn't tie to either tool.
In summary, somebody needs to do some serious UI design about
network configuration; maybe it's already in the works.

Version-Release number of selected component (if applicable):
system-config-network 1.3.22

How reproducible:
Always

Steps to Reproduce:
Obvious.


Additional info:
Comment 1 Harald Hoyer 2005-04-25 08:32:30 EDT
system-control-network can be started by normal users. system-config-network can
only be started as root.
GUI overhaul in the works.
Comment 2 Per Bothner 2005-04-25 11:32:09 EDT
"system-control-network can be started by normal users. system-config-network can
only be started as root."

Well, yes.  So what?   In a unified program, when the user wnts to change
something they're not allowed to, that's when you ask for root password.

After all most computers these days are either single-user desktop machines,
or server machines where anybody who would need Desktop Device Control would
also need Network Configuration.

Having multiple places where one can examine and set the same information
is usually not a good thing.  The exception is if something belongs in
multiple categoris.  E.g. "screen blanking" can belong in "display" or
in "power management".  But "network device control" and "network
configuration" are both "networking".

"GUI overhaul in the works."

Hopefully that will include reducing the number of different
configuration tools.
Comment 3 Harald Hoyer 2005-04-25 11:40:41 EDT
then remove the icon of system-config-network and only use
system-control-network, cause there is a button which runs system-config-network :-P

Note You need to log in before you can comment on or make changes to this bug.